OpenNMS API 1.2.9

## org.opennms.netmgt.eventd
Class EventIpcManagerFactory

    java.lang.Object
      org.opennms.netmgt.eventd.EventIpcManagerFactory

public class EventIpcManagerFactory
extends java.lang.Object

Author:
  Sowmya Nataraj , OpenNMS.org

Field Summary
`private EventIpcManagerDefaultImpl` `m_defIpcManager` The default EventIpcManager
`private static boolean` `m_loaded` This member is set to true if init() has been called
`private static EventIpcManagerFactory` `m_singleton` The singleton instance of this factory

Constructor Summary
`private` `EventIpcManagerFactory()` Private constructor

Method Summary
`static EventIpcManagerFactory` `getInstance()` Return the singleton instance of this factory.
`EventIpcManagerDefaultImpl` `getManager()` Returns an implementation of the default EventIpcManager class
`static void` `init()` Create the singleton instance of this factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static EventIpcManagerFactory m_singleton

  The singleton instance of this factory

### m_loaded

    private static boolean m_loaded

  This member is set to true if init() has been called

### m_defIpcManager

    private EventIpcManagerDefaultImpl m_defIpcManager

  The default EventIpcManager

Constructor Detail

### EventIpcManagerFactory

    private EventIpcManagerFactory()

  Private constructor

Method Detail

### init

    public static void init()

  Create the singleton instance of this factory

### getInstance

    public static EventIpcManagerFactory getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### getManager

    public EventIpcManagerDefaultImpl getManager()

  Returns an implementation of the default EventIpcManager class

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.